using System;

namespace CommonHelpers {

//**************************************************************************************************
public partial class AppFailureException: HAppFailureException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public AppFailureException()
   {}

//--------------------------------------------------------------------------------------------------

public AppFailureException(string message)
   :base ( message ) {}

public AppFailureException(string message,Exception innerException)
   :base ( message, innerException ) {}

public AppFailureException(string message,int exitCode)
   :base ( message, exitCode ) {}

public AppFailureException(string message,Exception innerException,int exitCode)
   :base ( message, innerException, exitCode ) {}

//--------------------------------------------------------------------------------------------------

public AppFailureException(int exitCode)
   :base ( exitCode ) {}

public AppFailureException(Exception innerException)
   :base ( innerException ) {}

public AppFailureException(Exception innerException,int exitCode)
   :base ( innerException, exitCode ) {}

//==================================================================================================

public AppFailureException(object associatedData)
   :base ( associatedData ) {}

//--------------------------------------------------------------------------------------------------

public AppFailureException(string message,object associatedData)
   :base ( message, associatedData ) {}

public AppFailureException(string message,Exception innerException,object associatedData)
   :base ( message, innerException, associatedData ) {}

public AppFailureException(string message,int exitCode,object associatedData)
   :base ( message, exitCode, associatedData ) {}

public AppFailureException( string message, Exception innerException,
                              int? exitCode, object associatedData )
   :base ( message, innerException, exitCode, associatedData ) {}

//--------------------------------------------------------------------------------------------------

public AppFailureException(int exitCode,object associatedData)
   :base ( exitCode, associatedData ) {}

public AppFailureException(Exception innerException,object associatedData)
   :base ( innerException, associatedData ) {}

public AppFailureException(Exception innerException,int exitCode,object associatedData)
   :base ( innerException, exitCode, associatedData ) {}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // AppFailureException
//**************************************************************************************************

} // CommonHelpers
